//   AutoNumber V4.dcl used by AutoNumber V4.lsp
//    Version 4.0    06.26.2009 


//
//  general dcl settings 
//

dcl_settings : default_dcl_settings { audit_level = 3; }

//
//  sub assembly definitions
//

EditBox5 : edit_box {edit_width = 5; fixed_width = true;}
button12 : button {width = 12; fixed_width = true; alignment = centered;}



//
//  Main Dialog
//

AutoNum : dialog { label = "AutoNumber V4.0 by Lee McDonnell";
  spacer_1;
  : row {
    //  Left Most Main Column
    : boxed_column { label = "Increment Format";
      : row { spacer_1;
         : EditBox5 { key = "pref_str";}
         : EditBox5 { key = "mid_str";}
         : EditBox5 { key = "suff_str";}
         spacer_1;
      }
      : row {
         spacer_1;
         : text { label = "Prefix";}
         : text { label = "Middle";}
         : text { label = "Suffix";}
      }
      //spacer_1;
      : boxed_column {label = "Section to Increment";
        :radio_row { spacer_1;
          : radio_button { key = "sel_pref"; label = "Prefix";}
          : radio_button { key = "sel_mid";  label = "Middle";}
          : radio_button { key = "sel_suff"; label = "Suffix";}
        }
        spacer_1;
      }
      spacer_1;
      : row {
        //: text { label = "Increment:";}
        : EditBox5 { key = "inc_str"; label = "Increment:";}
        : spacer { width = 2.5; }
        : button12 { key = "accept"; label = "Pick Each Insert";}
        spacer_0;
      }

      spacer_1;
      : boxed_column {label = "Array Number Insertion";
        : row {
          : EditBox5 { key = "spc_str"; label = "Spacing:";}
          : spacer { width = 0.5; }
          : EditBox5 { key = "sel_dir"; label = "Direction:";}
          : button { key = "pik_ang"; label = "Pick Angle"; fixed_width = true;}
        }
        : row {
          //: text { label = "Array End Number:";}
          : EditBox5 { key = "end_str"; label = "Array End Number:";}
          : button { key = "addarray"; label = "Add Array"; alignment = centered; width = 25; fixed_width = true;}
        }
        spacer_1;
      }
      : row {
        : text { label = "Error Message --> ";}
        : errtile { width = 34;}          //  Error Messages are shown here
      }
    }

    //     Next Main Column
    : boxed_column { label = "Text Format";
      spacer_1;
      : text { label = "Text Layer: ";}
      : popup_list {  key = "text_lay";}
      spacer_1;
      : text { label = "Text Style: ";}
      : popup_list { key = "text_styl";}
      spacer_1;
      : text { label = "Justification: ";}
      : popup_list { key = "text_just";}
      spacer_1;
      : EditBox5 {  key = "text_size"; label = "Text Height: ";}
      spacer_1;
      : text { label = "Text Rotation: ";}
      : row {
        : radio_column {
          :radio_button {  key = "man_ang"; label = "Angle Override: ";}
          :radio_button { key = "auto_ang"; label = "Aligned to Array";}
        }
        : column {
          : edit_box { key = "txt_ang"; edit_width = 4; fixed_width = true; alignment = centered;}
          spacer_1;
        }
        spacer_1;
        spacer_1;
      }
      spacer_1;
    }
  }
  spacer_1;
  : row {
    spacer_1;
    : button12 { key = "help"; label = "&Help";}
    : button12 { key = "info"; label = "&About";}
    : button12 { key = "cancel"; label = "Cancel"; is_cancel = true;}
    spacer_1;
  }                 
}

AutoInfo : dialog {label = "About";
  : paragraph {
    : text_part { label = "AutoNumber by Lee McDonnell"; alignment = centered;}
    : text_part { label = "Copyright  June 2009"; alignment = centered;}
    : text_part { label = "Version 3.0: 25.06.2009"; alignment = centered;}
    spacer_1;
    : text_part { label = "Function Syntax: AUTONUM"; alignment = centered;}
    spacer_1;                                   
    : text_part { label = "The [Add Array] button" ; alignment = centered;}
    : text_part { label = "Will sequentially place array of numerical text at"; alignment = centered;}
    : text_part { label = "a specified spacing, with optional Prefix and Suffix"; alignment = centered;}
    spacer_1;
    : text_part { label = "The [Pick Each Insert] button" ; alignment = centered;}
    : text_part {label = "Will sequentially place numerical text "; alignment = centered;}
    : text_part {label = "upon mouse click, with optional Prefix and Suffix"; alignment = centered;}
    spacer_1;
    : text_part { label = "Placement Controls: "; alignment = centered;}
    : text_part { label = "SPACE  =  ROTATE ACW"; alignment = centered;}
    : text_part { label = "SHIFT + SPACE  =  ROTATE CW"; alignment = centered;}
    : text_part { label = "TAB  =  ROTATE 90 ACW"; alignment = centered;}
    : text_part { label = "SHIFT + TAB  =  MIRROR ROTATION"; alignment = centered;}
    : text_part { label = "C  =  CURVE ALIGNED"; alignment = centered;}
    : text_part { label = "R  =  REPLACE TEXT/ATTRIBUTE"; alignment = centered;}
    : text_part { label = "T  =  TOGGLE COUNTER"; alignment = centered;}
    spacer_1;
    : text_part { label = "For Support Contact Lee McDonnell"; alignment = centered;}
    : text_part { label = "(Lee Mac @ CADTutor.net, TheSwamp.org)"; alignment = centered;}
  } // End Paragraph
  ok_only;
} // End Dialog

